org.apache.activemq.artemis.api.config

## Class ActiveMQDefaultConfiguration

- java.lang.Object
- - org.apache.activemq.artemis.api.config.ActiveMQDefaultConfiguration

-     public final class ActiveMQDefaultConfiguration
      extends Object

  Default values of ActiveMQ Artemis configuration parameters.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static boolean` | `DEFAULT_AMQP_USE_CORE_SUBSCRIPTION_NAMING`
    `static boolean` | `DEFAULT_ANALYZE_CRITICAL`
    `static org.apache.activemq.artemis.utils.critical.CriticalAnalyzerPolicy` | `DEFAULT_ANALYZE_CRITICAL_POLICY`
    `static long` | `DEFAULT_ANALYZE_CRITICAL_TIMEOUT`
    `static long` | `DEFAULT_CONFIGURATION_FILE_REFRESH_PERIOD`
    `static long` | `DEFAULT_CONNECTION_TTL_CHECK_INTERVAL`
    `static int` | `DEFAULT_CONSUMER_PRIORITY`
    `static int` | `DEFAULT_CONSUMERS_BEFORE_DISPATCH`
    `static boolean` | `DEFAULT_CREATED_QUEUE_AUTO_DELETE`
    `static long` | `DEFAULT_DELAY_BEFORE_DISPATCH`
    `static int` | `DEFAULT_DISK_SCAN`
    `static boolean` | `DEFAULT_ENABLED`
    `static boolean` | `DEFAULT_EXCLUSIVE`
    `static long` | `DEFAULT_GLOBAL_MAX_SIZE`
    `static int` | `DEFAULT_GROUP_BUCKETS`
    `static SimpleString` | `DEFAULT_GROUP_FIRST_KEY`
    `static boolean` | `DEFAULT_GROUP_REBALANCE`
    `static boolean` | `DEFAULT_GROUP_REBALANCE_PAUSE_DISPATCH`
    `static String` | `DEFAULT_INTERNAL_NAMING_PREFIX`
    `static boolean` | `DEFAULT_LAST_VALUE`
    `static SimpleString` | `DEFAULT_LAST_VALUE_KEY`
    `static int` | `DEFAULT_MAX_DISK_USAGE`
    `static int` | `DEFAULT_MAX_QUEUE_CONSUMERS`
    `static String` | `DEFAULT_NETWORK_CHECK_LIST`
    `static String` | `DEFAULT_NETWORK_CHECK_NIC`
    `static long` | `DEFAULT_NETWORK_CHECK_PERIOD`
    `static int` | `DEFAULT_NETWORK_CHECK_TIMEOUT`
    `static String` | `DEFAULT_NETWORK_CHECK_URL_LIST`
    `static boolean` | `DEFAULT_NON_DESTRUCTIVE`
    `static boolean` | `DEFAULT_PURGE_ON_NO_CONSUMERS`
    `static boolean` | `DEFAULT_QUEUE_AUTO_DELETE`
    `static long` | `DEFAULT_QUEUE_AUTO_DELETE_DELAY`
    `static long` | `DEFAULT_QUEUE_AUTO_DELETE_MESSAGE_COUNT`
    `static int` | `DEFAULT_QUORUM_SIZE`
    `static long` | `DEFAULT_RETROACTIVE_MESSAGE_COUNT`
    `static long` | `DEFAULT_RING_SIZE`
    `static RoutingType` | `DEFAULT_ROUTING_TYPE`
    `static String` | `DEFAULT_SYSTEM_PROPERTY_PREFIX`
    `static String` | `DEFAULT_TEMPORARY_QUEUE_NAMESPACE`
    `static boolean` | `DEFAULT_VOTE_ON_REPLICATION_FAILURE`

  - ### Method Summary

    All Methods Static Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `static boolean` | `getCriticalAnalyzer()`
    `static long` | `getCriticalAnalyzerCheckPeriod(long timeout)`
    `static org.apache.activemq.artemis.utils.critical.CriticalAnalyzerPolicy` | `getCriticalAnalyzerPolicy()`
    `static long` | `getCriticalAnalyzerTimeout()`
    `static String` | `getDefaultAddressPathSeparator()`
    `static long` | `getDefaultAddressQueueScanPeriod()` how often (in ms) to scan for addresses and queues which should be deleted
    `static boolean` | `getDefaultAmqpUseCoreSubscriptionNaming()`
    `static long` | `getDefaultAuthenticationCacheSize()` how large to make the authentication cache
    `static long` | `getDefaultAuthorizationCacheSize()` how large to make the authorization cache
    `static String` | `getDefaultBindingsDirectory()` the directory to store the persisted bindings to
    `static String` | `getDefaultBindingsTableName()`
    `static int` | `getDefaultBridgeConfirmationWindowSize()` Once the bridge has received this many bytes, it sends a confirmation
    `static int` | `getDefaultBridgeConnectSameNode()` Upon reconnection this configures the number of time the same node on the topology will be retried before reseting the server locator and using the initial connectors
    `static int` | `getDefaultBridgeInitialConnectAttempts()` maximum number of initial connection attempts, -1 means 'no limits'
    `static int` | `getDefaultBridgeProducerWindowSize()` Producer flow control
    `static int` | `getDefaultBridgeReconnectAttempts()` maximum number of retry attempts, -1 means 'no limits'
    `static String` | `getDefaultBridgeRoutingType()` how the bridge should handle the message's routing type
    `static long` | `getDefaultBroadcastPeriod()` period in milliseconds between consecutive broadcasts
    `static int` | `getDefaultBroadcastRefreshTimeout()` Period the discovery group waits after receiving the last broadcast from a particular server before removing that servers connector pair entry from its list.
    `static long` | `getDefaultClientFailureCheckPeriod()`
    `static String` | `getDefaultClusterAddress()` The default Cluster address for the Cluster connection
    `static long` | `getDefaultClusterCallFailoverTimeout()` How long to wait for a reply if in the middle of a fail-over.
    `static long` | `getDefaultClusterCallTimeout()` How long to wait for a reply
    `static int` | `getDefaultClusterConfirmationWindowSize()` The size (in bytes) of the window used for confirming data from the server connected to.
    `static long` | `getDefaultClusterConnectionTtl()` how long to keep a connection alive in the absence of any data arriving from the client
    `static long` | `getDefaultClusterFailureCheckPeriod()` The period (in milliseconds) used to check if the cluster connection has failed to receive pings from another server
    `static int` | `getDefaultClusterInitialConnectAttempts()` How many attempts should be made to connect initially
    `static int` | `getDefaultClusterMaxHops()` maximum number of hops cluster topology is propagated
    `static long` | `getDefaultClusterMaxRetryInterval()` Maximum value for retry-interval
    `static String` | `getDefaultClusterMessageLoadBalancingType()` should messages be load balanced if there are no matching consumers on target?
    `static int` | `getDefaultClusterNotificationAttempts()` how many times this cluster connection will notify the cluster of its existence right after joining the cluster
    `static long` | `getDefaultClusterNotificationInterval()` how often the cluster connection will notify the cluster of its existence right after joining the cluster
    `static String` | `getDefaultClusterPassword()` Cluster password.
    `static int` | `getDefaultClusterReconnectAttempts()` How many attempts should be made to reconnect after failure
    `static long` | `getDefaultClusterRetryInterval()` period (in ms) between successive retries
    `static double` | `getDefaultClusterRetryIntervalMultiplier()` multiplier to apply to the retry-interval
    `static String` | `getDefaultClusterUser()` Cluster username.
    `static long` | `getDefaultConfigurationFileRefreshPeriod()`
    `static long` | `getDefaultConnectionTtl()` how long to keep a connection alive in the absence of any data arriving from the client.
    `static long` | `getDefaultConnectionTtlCheckInterval()`
    `static long` | `getDefaultConnectionTtlOverride()` if set, this will override how long (in ms) to keep a connection alive without receiving a ping.
    `static int` | `getDefaultConsumerPriority()`
    `static int` | `getDefaultConsumersBeforeDispatch()`
    `static boolean` | `getDefaultCreatedQueueAutoDelete()`
    `static String` | `getDefaultDatabaseUrl()` The default database URL, used with DATABASE store type.
    `static String` | `getDefaultDataSourceClassName()`
    `static long` | `getDefaultDelayBeforeDispatch()`
    `static int` | `getDefaultDiskScanPeriod()`
    `static String` | `getDefaultDivertRoutingType()` how the divert should handle the message's routing type
    `static String` | `getDefaultDriverClassName()`
    `static boolean` | `getDefaultEnabled()`
    `static boolean` | `getDefaultExclusive()`
    `static long` | `getDefaultFailbackDelay()` Deprecated. use getDefaultInitialReplicationSyncTimeout()
    `static long` | `getDefaultFederationCallFailoverTimeout()` How long to wait for a reply if in the middle of a fail-over.
    `static long` | `getDefaultFederationCallTimeout()` How long to wait for a reply
    `static long` | `getDefaultFederationConnectionTtl()` how long to keep a connection alive in the absence of any data arriving from the client
    `static long` | `getDefaultFederationFailureCheckPeriod()` The period (in milliseconds) used to check if the federation connection has failed to receive pings from another server
    `static int` | `getDefaultFederationInitialConnectAttempts()` How many attempts should be made to connect initially
    `static long` | `getDefaultFederationMaxRetryInterval()` Maximum value for retry-interval
    `static String` | `getDefaultFederationPassword()` Federation password.
    `static int` | `getDefaultFederationReconnectAttempts()` How many attempts should be made to reconnect after failure
    `static long` | `getDefaultFederationRetryInterval()` period (in ms) between successive retries
    `static double` | `getDefaultFederationRetryIntervalMultiplier()` multiplier to apply to the retry-interval
    `static String` | `getDefaultFederationUser()` Federation username.
    `static long` | `getDefaultFileDeployerScanPeriod()`
    `static long` | `getDefaultGracefulShutdownTimeout()` true means that graceful shutdown is enabled
    `static int` | `getDefaultGroupBuckets()`
    `static SimpleString` | `getDefaultGroupFirstKey()`
    `static int` | `getDefaultGroupingHandlerGroupTimeout()` How long a group binding will be used, -1 means for ever.
    `static long` | `getDefaultGroupingHandlerReaperPeriod()` How often the reaper will be run to check for timed out group bindings.
    `static int` | `getDefaultGroupingHandlerTimeout()` How long to wait for a decision
    `static boolean` | `getDefaultGroupRebalance()`
    `static boolean` | `getDefaultGroupRebalancePauseDispatch()`
    `static int` | `getDefaultHapolicyBackupPortOffset()` The offset to use for the Connectors and Acceptors when creating a new backup server.
    `static int` | `getDefaultHapolicyBackupRequestRetries()` How many times the live server will try to request a backup, -1 means for ever.
    `static long` | `getDefaultHapolicyBackupRequestRetryInterval()` How long to wait for retries between attempts to request a backup server.
    `static String` | `getDefaultHapolicyBackupStrategy()` The backup strategy to use if we are a backup or for any colocated backups.
    `static int` | `getDefaultHapolicyMaxBackups()` Whether or not this live server will accept backup requests from other live servers.
    `static String` | `getDefaultHapolicyType()` what kind of HA Policy should we use
    `static int` | `getDefaultIdCacheSize()` the size of the cache for pre-creating message ID's
    `static long` | `getDefaultInitialReplicationSyncTimeout()` if we have to start as a replicated server this is the delay to wait before fail-back occurs
    `static long` | `getDefaultJdbcJournalSyncPeriodMillis()`
    `static long` | `getDefaultJdbcLockAcquisitionTimeoutMillis()`
    `static long` | `getDefaultJdbcLockExpirationMillis()`
    `static long` | `getDefaultJdbcLockRenewPeriodMillis()`
    `static int` | `getDefaultJdbcNetworkTimeout()`
    `static String` | `getDefaultJmxDomain()` the JMX domain used to registered ActiveMQ Artemis MBeans in the MBeanServer
    `static int` | `getDefaultJournalBufferSizeAio()`
    `static int` | `getDefaultJournalBufferSizeNio()`
    `static int` | `getDefaultJournalBufferTimeoutAio()`
    `static int` | `getDefaultJournalBufferTimeoutNio()`
    `static int` | `getDefaultJournalCompactMinFiles()` The minimal number of data files before we can start compacting
    `static int` | `getDefaultJournalCompactPercentage()` The percentage of live data on which we consider compacting the journal
    `static String` | `getDefaultJournalDir()` the directory to store the journal files in
    `static int` | `getDefaultJournalFileOpenTimeout()`
    `static int` | `getDefaultJournalFileSize()` the size (in bytes) of each journal file
    `static long` | `getDefaultJournalLockAcquisitionTimeout()` how long (in ms) to wait to acquire a file lock on the journal
    `static int` | `getDefaultJournalMaxAtticFiles()` how many journal files to be stored in the attic.
    `static int` | `getDefaultJournalMaxIoAio()`
    `static int` | `getDefaultJournalMaxIoNio()`
    `static int` | `getDefaultJournalMinFiles()` how many journal files to pre-create
    `static int` | `getDefaultJournalPoolFiles()` How many journal files can be resued
    `static boolean` | `getDefaultJvmGcMetrics()` Whether or not to report JVM GC metrics
    `static boolean` | `getDefaultJvmMemoryMetrics()` Whether or not to report JVM memory metrics
    `static boolean` | `getDefaultJvmThreadMetrics()` Whether or not to report JVM thread metrics
    `static String` | `getDefaultLargeMessagesDir()` the directory to store large messages
    `static String` | `getDefaultLargeMessagesTableName()`
    `static boolean` | `getDefaultLastValue()`
    `static SimpleString` | `getDefaultLastValueKey()`
    `static SimpleString` | `getDefaultManagementAddress()` the name of the management address to send management messages to.
    `static SimpleString` | `getDefaultManagementNotificationAddress()` the name of the address that consumers bind to receive management notifications
    `static int` | `getDefaultMaxConcurrentPageIo()` The max number of concurrent reads allowed on paging
    `static int` | `getDefaultMaxDiskUsage()`
    `static long` | `getDefaultMaxGlobalSize()` The default global max size.
    `static int` | `getDefaultMaxQueueConsumers()`
    `static long` | `getDefaultMaxRetryInterval()` Limit to the retry-interval growth (due to retry-interval-multiplier)
    `static int` | `getDefaultMaxSavedReplicatedJournalsSize()` This specifies how many times a replicated backup server can restart after moving its files on start.
    `static long` | `getDefaultMemoryMeasureInterval()` frequency to sample JVM memory in ms (or -1 to disable memory sampling)
    `static int` | `getDefaultMemoryWarningThreshold()` Percentage of available memory which will trigger a warning log
    `static int` | `getDefaultMessageCounterMaxDayHistory()` how many days to keep message counter history
    `static long` | `getDefaultMessageCounterSamplePeriod()` the sample period (in ms) to use for message counters
    `static long` | `getDefaultMessageExpiryScanPeriod()` how often (in ms) to scan for expired messages
    `static int` | `getDefaultMessageExpiryThreadPriority()` Deprecated.
    `static String` | `getDefaultMessageTableName()` The default Message Journal table name, used with DATABASE store.
    `static String` | `getDefaultNetworkCheckList()`
    `static String` | `getDefaultNetworkCheckNic()`
    `static long` | `getDefaultNetworkCheckPeriod()`
    `static int` | `getDefaultNetworkCheckTimeout()`
    `static String` | `getDefaultNetworkCheckURLList()`
    `static String` | `getDefaultNodeManagerStoreTableName()`
    `static boolean` | `getDefaultNonDestructive()`
    `static String` | `getDefaultPageStoreTableName()`
    `static String` | `getDefaultPagingDir()` the directory to store paged messages in
    `static boolean` | `getDefaultPurgeOnNoConsumers()`
    `static boolean` | `getDefaultQueueAutoDelete()`
    `static boolean` | `getDefaultQueueAutoDelete(boolean autoCreated)`
    `static long` | `getDefaultQueueAutoDeleteDelay()`
    `static long` | `getDefaultQueueAutoDeleteMessageCount()`
    `static int` | `getDefaultQuorumSize()`
    `static int` | `getDefaultQuorumVoteWait()`
    `static long` | `getDefaultRetroactiveMessageCount()`
    `static double` | `getDefaultRetryIntervalMultiplier()` multiplier to apply to successive retry intervals
    `static long` | `getDefaultRetryReplicationWait()`
    `static long` | `getDefaultRingSize()`
    `static RoutingType` | `getDefaultRoutingType()`
    `static int` | `getDefaultScheduledThreadPoolMaxSize()` Maximum number of threads to use for the scheduled thread pool
    `static long` | `getDefaultSecurityInvalidationInterval()` how long (in ms) to wait before invalidating the security cache
    `static long` | `getDefaultServerDumpInterval()` Interval to log server specific information (e.g.
    `static String` | `getDefaultStoreType()` The default storage type.
    `static String` | `getDefaultSystemPropertyPrefix()`
    `static String` | `getDefaultTemporaryQueueNamespace()`
    `static int` | `getDefaultThreadPoolMaxSize()` Maximum number of threads to use for the thread pool.
    `static long` | `getDefaultTransactionTimeout()` how long (in ms) before a transaction can be removed from the resource manager after create time
    `static long` | `getDefaultTransactionTimeoutScanPeriod()` how often (in ms) to scan for timeout transactions
    `static boolean` | `getDefaultVoteOnReplicationFailure()`
    `static int` | `getDefaultVoteRetries()`
    `static long` | `getDefaultVoteRetryWait()`
    `static String` | `getInternalNamingPrefix()`
    `static String` | `getPropMaskPassword()`
    `static String` | `getPropPasswordCodec()`
    `static boolean` | `isDefaultAllowAutoFailback()` Whether a server will automatically stop when another places a request to take over its place.
    `static boolean` | `isDefaultAsyncConnectionExecutionEnabled()` should certain incoming packets on the server be handed off to a thread from the thread pool for processing or should they be handled on the remoting thread?
    `static boolean` | `isDefaultBridgeDuplicateDetection()` should duplicate detection headers be inserted in forwarded messages?
    `static boolean` | `isDefaultCheckForLiveServer()` Whether to check the cluster for a (live) server using our own server ID when starting up.
    `static boolean` | `isDefaultClusterDuplicateDetection()` should duplicate detection headers be inserted in forwarded messages?
    `static boolean` | `isDefaultClusterForwardWhenNoConsumers()`
    `static boolean` | `isDefaultCreateBindingsDir()` true means that the server will create the bindings directory on start up
    `static boolean` | `isDefaultCreateJournalDir()` true means that the journal directory will be created
    `static boolean` | `isDefaultDivertExclusive()` whether this is an exclusive divert
    `static boolean` | `isDefaultFailoverOnServerShutdown()` Will this backup server come live on a normal server shutdown
    `static boolean` | `isDefaultFileDeploymentEnabled()` true means that the server will load configuration from the configuration files
    `static boolean` | `isDefaultGracefulShutdownEnabled()` true means that graceful shutdown is enabled
    `static boolean` | `isDefaultHapolicyRequestBackup()` If true then the server will request a backup on another node
    `static boolean` | `isDefaultJmxManagementEnabled()` true means that the management API is available via JMX
    `static boolean` | `isDefaultJMXUseBrokerName()`
    `static boolean` | `isDefaultJournalDatasync()`
    `static boolean` | `isDefaultJournalLogWriteRate()` Whether to log messages about the journal write rate
    `static boolean` | `isDefaultJournalSyncNonTransactional()` if true wait for non transaction data to be synced to the journal before returning response to client.
    `static boolean` | `isDefaultJournalSyncTransactional()` if true wait for transaction data to be synchronized to the journal before returning response to client
    `static Boolean` | `isDefaultMaskPassword()` This option controls whether passwords in server configuration need be masked.
    `static boolean` | `isDefaultMessageCounterEnabled()` true means that message counters are enabled
    `static boolean` | `isDefaultPersistDeliveryCountBeforeDelivery()` True means that the delivery count is persisted before delivery.
    `static boolean` | `isDefaultPersistenceEnabled()` true means that the server will use the file based journal for persistence.
    `static boolean` | `isDefaultPersistIdCache()` true means that ID's are persisted to the journal
    `static boolean` | `isDefaultPopulateValidatedUser()` Will the broker populate the message with the name of the validated user
    `static boolean` | `isDefaultReadWholePage()`
    `static boolean` | `isDefaultRejectEmptyValidatedUser()`
    `static boolean` | `isDefaultResolveProtocols()` If true then the ActiveMQ Artemis Server will make use of any Protocol Managers that are in available on the classpath.
    `static boolean` | `isDefaultRestartBackup()` Will this server, if a backup, restart once it has been stopped because of failback or scaling down.
    `static boolean` | `isDefaultScaleDownEnabled()` its possible that you only want a server to partake in scale down as a receiver, via a group.
    `static boolean` | `isDefaultSecurityEnabled()` true means that security is enabled
    `static boolean` | `isDefaultWaitForActivation()` Will a shared-store master startup wait for activation
    `static boolean` | `isDefaultWildcardRoutingEnabled()` true means that the server supports wild card routing

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### DEFAULT_CONNECTION_TTL_CHECK_INTERVAL

          public static final long DEFAULT_CONNECTION_TTL_CHECK_INTERVAL

      See Also:
        Constant Field Values

    - #### DEFAULT_CONFIGURATION_FILE_REFRESH_PERIOD

          public static final long DEFAULT_CONFIGURATION_FILE_REFRESH_PERIOD

      See Also:
        Constant Field Values

    - #### DEFAULT_AMQP_USE_CORE_SUBSCRIPTION_NAMING

          public static final boolean DEFAULT_AMQP_USE_CORE_SUBSCRIPTION_NAMING

      See Also:
        Constant Field Values

    - #### DEFAULT_GLOBAL_MAX_SIZE

          public static final long DEFAULT_GLOBAL_MAX_SIZE

    - #### DEFAULT_MAX_DISK_USAGE

          public static final int DEFAULT_MAX_DISK_USAGE

    - #### DEFAULT_DISK_SCAN

          public static final int DEFAULT_DISK_SCAN

      See Also:
        Constant Field Values

    - #### DEFAULT_MAX_QUEUE_CONSUMERS

          public static final int DEFAULT_MAX_QUEUE_CONSUMERS

      See Also:
        Constant Field Values

    - #### DEFAULT_CONSUMER_PRIORITY

          public static final int DEFAULT_CONSUMER_PRIORITY

      See Also:
        Constant Field Values

    - #### DEFAULT_EXCLUSIVE

          public static final boolean DEFAULT_EXCLUSIVE

      See Also:
        Constant Field Values

    - #### DEFAULT_LAST_VALUE

          public static final boolean DEFAULT_LAST_VALUE

      See Also:
        Constant Field Values

    - #### DEFAULT_LAST_VALUE_KEY

          public static final SimpleString DEFAULT_LAST_VALUE_KEY

    - #### DEFAULT_NON_DESTRUCTIVE

          public static final boolean DEFAULT_NON_DESTRUCTIVE

      See Also:
        Constant Field Values

    - #### DEFAULT_PURGE_ON_NO_CONSUMERS

          public static final boolean DEFAULT_PURGE_ON_NO_CONSUMERS

      See Also:
        Constant Field Values

    - #### DEFAULT_ENABLED

          public static final boolean DEFAULT_ENABLED

      See Also:
        Constant Field Values

    - #### DEFAULT_QUEUE_AUTO_DELETE

          public static final boolean DEFAULT_QUEUE_AUTO_DELETE

      See Also:
        Constant Field Values

    - #### DEFAULT_CREATED_QUEUE_AUTO_DELETE

          public static final boolean DEFAULT_CREATED_QUEUE_AUTO_DELETE

      See Also:
        Constant Field Values

    - #### DEFAULT_QUEUE_AUTO_DELETE_DELAY

          public static final long DEFAULT_QUEUE_AUTO_DELETE_DELAY

      See Also:
        Constant Field Values

    - #### DEFAULT_QUEUE_AUTO_DELETE_MESSAGE_COUNT

          public static final long DEFAULT_QUEUE_AUTO_DELETE_MESSAGE_COUNT

      See Also:
        Constant Field Values

    - #### DEFAULT_RING_SIZE

          public static final long DEFAULT_RING_SIZE

      See Also:
        Constant Field Values

    - #### DEFAULT_CONSUMERS_BEFORE_DISPATCH

          public static final int DEFAULT_CONSUMERS_BEFORE_DISPATCH

      See Also:
        Constant Field Values

    - #### DEFAULT_DELAY_BEFORE_DISPATCH

          public static final long DEFAULT_DELAY_BEFORE_DISPATCH

      See Also:
        Constant Field Values

    - #### DEFAULT_GROUP_BUCKETS

          public static final int DEFAULT_GROUP_BUCKETS

      See Also:
        Constant Field Values

    - #### DEFAULT_GROUP_REBALANCE

          public static final boolean DEFAULT_GROUP_REBALANCE

      See Also:
        Constant Field Values

    - #### DEFAULT_GROUP_REBALANCE_PAUSE_DISPATCH

          public static final boolean DEFAULT_GROUP_REBALANCE_PAUSE_DISPATCH

      See Also:
        Constant Field Values

    - #### DEFAULT_GROUP_FIRST_KEY

          public static final SimpleString DEFAULT_GROUP_FIRST_KEY

    - #### DEFAULT_ROUTING_TYPE

          public static final RoutingType DEFAULT_ROUTING_TYPE

    - #### DEFAULT_SYSTEM_PROPERTY_PREFIX

          public static final String DEFAULT_SYSTEM_PROPERTY_PREFIX

      See Also:
        Constant Field Values

    - #### DEFAULT_NETWORK_CHECK_LIST

          public static String DEFAULT_NETWORK_CHECK_LIST

    - #### DEFAULT_NETWORK_CHECK_URL_LIST

          public static String DEFAULT_NETWORK_CHECK_URL_LIST

    - #### DEFAULT_NETWORK_CHECK_PERIOD

          public static long DEFAULT_NETWORK_CHECK_PERIOD

    - #### DEFAULT_NETWORK_CHECK_TIMEOUT

          public static int DEFAULT_NETWORK_CHECK_TIMEOUT

    - #### DEFAULT_NETWORK_CHECK_NIC

          public static String DEFAULT_NETWORK_CHECK_NIC

    - #### DEFAULT_INTERNAL_NAMING_PREFIX

          public static final String DEFAULT_INTERNAL_NAMING_PREFIX

      See Also:
        Constant Field Values

    - #### DEFAULT_VOTE_ON_REPLICATION_FAILURE

          public static boolean DEFAULT_VOTE_ON_REPLICATION_FAILURE

    - #### DEFAULT_QUORUM_SIZE

          public static int DEFAULT_QUORUM_SIZE

    - #### DEFAULT_ANALYZE_CRITICAL

          public static final boolean DEFAULT_ANALYZE_CRITICAL

      See Also:
        Constant Field Values

    - #### DEFAULT_ANALYZE_CRITICAL_TIMEOUT

          public static final long DEFAULT_ANALYZE_CRITICAL_TIMEOUT

      See Also:
        Constant Field Values

    - #### DEFAULT_RETROACTIVE_MESSAGE_COUNT

          public static final long DEFAULT_RETROACTIVE_MESSAGE_COUNT

      See Also:
        Constant Field Values

    - #### DEFAULT_ANALYZE_CRITICAL_POLICY

          public static final org.apache.activemq.artemis.utils.critical.CriticalAnalyzerPolicy DEFAULT_ANALYZE_CRITICAL_POLICY

    - #### DEFAULT_TEMPORARY_QUEUE_NAMESPACE

          public static final String DEFAULT_TEMPORARY_QUEUE_NAMESPACE

      See Also:
        Constant Field Values

  - ### Method Detail

    - #### getDefaultClientFailureCheckPeriod

          public static long getDefaultClientFailureCheckPeriod()

    - #### getDefaultFileDeployerScanPeriod

          public static long getDefaultFileDeployerScanPeriod()

    - #### getDefaultJournalMaxIoAio

          public static int getDefaultJournalMaxIoAio()

    - #### getDefaultJournalBufferTimeoutAio

          public static int getDefaultJournalBufferTimeoutAio()

    - #### getDefaultJournalBufferSizeAio

          public static int getDefaultJournalBufferSizeAio()

    - #### getDefaultJournalMaxIoNio

          public static int getDefaultJournalMaxIoNio()

    - #### getDefaultJournalBufferTimeoutNio

          public static int getDefaultJournalBufferTimeoutNio()

    - #### getDefaultJournalBufferSizeNio

          public static int getDefaultJournalBufferSizeNio()

    - #### getPropMaskPassword

          public static String getPropMaskPassword()

    - #### getPropPasswordCodec

          public static String getPropPasswordCodec()

    - #### getDefaultHapolicyType

          public static String getDefaultHapolicyType()

      what kind of HA Policy should we use

    - #### getDefaultHapolicyBackupStrategy

          public static String getDefaultHapolicyBackupStrategy()

      The backup strategy to use if we are a backup or for any colocated backups.

    - #### isDefaultResolveProtocols

          public static boolean isDefaultResolveProtocols()

      If true then the ActiveMQ Artemis Server will make use of any Protocol Managers that are in available on the classpath. If false then only the core protocol will be available, unless in Embedded mode where users can inject their own Protocol Managers.

    - #### isDefaultFileDeploymentEnabled

          public static boolean isDefaultFileDeploymentEnabled()

      true means that the server will load configuration from the configuration files

    - #### isDefaultPersistenceEnabled

          public static boolean isDefaultPersistenceEnabled()

      true means that the server will use the file based journal for persistence.

    - #### isDefaultJournalDatasync

          public static boolean isDefaultJournalDatasync()

    - #### getDefaultScheduledThreadPoolMaxSize

          public static int getDefaultScheduledThreadPoolMaxSize()

      Maximum number of threads to use for the scheduled thread pool

    - #### getDefaultThreadPoolMaxSize

          public static int getDefaultThreadPoolMaxSize()

      Maximum number of threads to use for the thread pool. -1 means 'no limits'.

    - #### isDefaultSecurityEnabled

          public static boolean isDefaultSecurityEnabled()

      true means that security is enabled

    - #### isDefaultGracefulShutdownEnabled

          public static boolean isDefaultGracefulShutdownEnabled()

      true means that graceful shutdown is enabled

    - #### getDefaultGracefulShutdownTimeout

          public static long getDefaultGracefulShutdownTimeout()

      true means that graceful shutdown is enabled

    - #### getDefaultSecurityInvalidationInterval

          public static long getDefaultSecurityInvalidationInterval()

      how long (in ms) to wait before invalidating the security cache

    - #### getDefaultAuthenticationCacheSize

          public static long getDefaultAuthenticationCacheSize()

      how large to make the authentication cache

    - #### getDefaultAuthorizationCacheSize

          public static long getDefaultAuthorizationCacheSize()

      how large to make the authorization cache

    - #### getDefaultJournalLockAcquisitionTimeout

          public static long getDefaultJournalLockAcquisitionTimeout()

      how long (in ms) to wait to acquire a file lock on the journal

    - #### isDefaultWildcardRoutingEnabled

          public static boolean isDefaultWildcardRoutingEnabled()

      true means that the server supports wild card routing

    - #### getDefaultAddressPathSeparator

          public static String getDefaultAddressPathSeparator()

    - #### getDefaultManagementAddress

          public static SimpleString getDefaultManagementAddress()

      the name of the management address to send management messages to. It is prefixed with "jms.queue" so that JMS clients can send messages to it.

    - #### getDefaultManagementNotificationAddress

          public static SimpleString getDefaultManagementNotificationAddress()

      the name of the address that consumers bind to receive management notifications

    - #### getDefaultClusterAddress

          public static String getDefaultClusterAddress()

      The default Cluster address for the Cluster connection

    - #### getDefaultClusterUser

          public static String getDefaultClusterUser()

      Cluster username. It applies to all cluster configurations.

    - #### getDefaultClusterPassword

          public static String getDefaultClusterPassword()

      Cluster password. It applies to all cluster configurations.

    - #### getDefaultFederationUser

          public static String getDefaultFederationUser()

      Federation username. It applies to all federation configurations.

    - #### getDefaultFederationPassword

          public static String getDefaultFederationPassword()

      Federation password. It applies to all federation configurations.

    - #### isDefaultMaskPassword

          public static Boolean isDefaultMaskPassword()

      This option controls whether passwords in server configuration need be masked. If set to "true" the passwords are masked.

    - #### isDefaultJmxManagementEnabled

          public static boolean isDefaultJmxManagementEnabled()

      true means that the management API is available via JMX

    - #### getDefaultJmxDomain

          public static String getDefaultJmxDomain()

      the JMX domain used to registered ActiveMQ Artemis MBeans in the MBeanServer

    - #### isDefaultJMXUseBrokerName

          public static boolean isDefaultJMXUseBrokerName()

    - #### isDefaultMessageCounterEnabled

          public static boolean isDefaultMessageCounterEnabled()

      true means that message counters are enabled

    - #### getDefaultMessageCounterSamplePeriod

          public static long getDefaultMessageCounterSamplePeriod()

      the sample period (in ms) to use for message counters

    - #### getDefaultMessageCounterMaxDayHistory

          public static int getDefaultMessageCounterMaxDayHistory()

      how many days to keep message counter history

    - #### getDefaultConnectionTtlOverride

          public static long getDefaultConnectionTtlOverride()

      if set, this will override how long (in ms) to keep a connection alive without receiving a ping. -1 disables this setting.

    - #### isDefaultAsyncConnectionExecutionEnabled

          public static boolean isDefaultAsyncConnectionExecutionEnabled()

      should certain incoming packets on the server be handed off to a thread from the thread pool for processing or should they be handled on the remoting thread?

    - #### getDefaultTransactionTimeout

          public static long getDefaultTransactionTimeout()

      how long (in ms) before a transaction can be removed from the resource manager after create time

    - #### getDefaultTransactionTimeoutScanPeriod

          public static long getDefaultTransactionTimeoutScanPeriod()

      how often (in ms) to scan for timeout transactions

    - #### getDefaultMessageExpiryScanPeriod

          public static long getDefaultMessageExpiryScanPeriod()

      how often (in ms) to scan for expired messages

    - #### getDefaultMessageExpiryThreadPriority

          @Deprecated
          public static int getDefaultMessageExpiryThreadPriority()

      Deprecated.
      the priority of the thread expiring messages

    - #### getDefaultAddressQueueScanPeriod

          public static long getDefaultAddressQueueScanPeriod()

      how often (in ms) to scan for addresses and queues which should be deleted

    - #### getDefaultIdCacheSize

          public static int getDefaultIdCacheSize()

      the size of the cache for pre-creating message ID's

    - #### isDefaultPersistIdCache

          public static boolean isDefaultPersistIdCache()

      true means that ID's are persisted to the journal

    - #### isDefaultPersistDeliveryCountBeforeDelivery

          public static boolean isDefaultPersistDeliveryCountBeforeDelivery()

      True means that the delivery count is persisted before delivery. False means that this only happens after a message has been cancelled.

    - #### getDefaultPagingDir

          public static String getDefaultPagingDir()

      the directory to store paged messages in

    - #### getDefaultBindingsDirectory

          public static String getDefaultBindingsDirectory()

      the directory to store the persisted bindings to

    - #### isDefaultCreateBindingsDir

          public static boolean isDefaultCreateBindingsDir()

      true means that the server will create the bindings directory on start up

    - #### getDefaultMaxConcurrentPageIo

          public static int getDefaultMaxConcurrentPageIo()

      The max number of concurrent reads allowed on paging

    - #### isDefaultReadWholePage

          public static boolean isDefaultReadWholePage()

    - #### getDefaultJournalDir

          public static String getDefaultJournalDir()

      the directory to store the journal files in

    - #### isDefaultCreateJournalDir

          public static boolean isDefaultCreateJournalDir()

      true means that the journal directory will be created

    - #### isDefaultJournalSyncTransactional

          public static boolean isDefaultJournalSyncTransactional()

      if true wait for transaction data to be synchronized to the journal before returning response to client

    - #### isDefaultJournalSyncNonTransactional

          public static boolean isDefaultJournalSyncNonTransactional()

      if true wait for non transaction data to be synced to the journal before returning response to client.

    - #### isDefaultJournalLogWriteRate

          public static boolean isDefaultJournalLogWriteRate()

      Whether to log messages about the journal write rate

    - #### getDefaultJournalFileSize

          public static int getDefaultJournalFileSize()

      the size (in bytes) of each journal file

    - #### getDefaultJournalMinFiles

          public static int getDefaultJournalMinFiles()

      how many journal files to pre-create

    - #### getDefaultJournalPoolFiles

          public static int getDefaultJournalPoolFiles()

      How many journal files can be resued
      Returns:

    - #### getDefaultJournalCompactPercentage

          public static int getDefaultJournalCompactPercentage()

      The percentage of live data on which we consider compacting the journal

    - #### getDefaultJournalFileOpenTimeout

          public static int getDefaultJournalFileOpenTimeout()

    - #### getDefaultJournalCompactMinFiles

          public static int getDefaultJournalCompactMinFiles()

      The minimal number of data files before we can start compacting

    - #### getDefaultJournalMaxAtticFiles

          public static int getDefaultJournalMaxAtticFiles()

      how many journal files to be stored in the attic.

    - #### getDefaultServerDumpInterval

          public static long getDefaultServerDumpInterval()

      Interval to log server specific information (e.g. memory usage etc)

    - #### getDefaultMemoryWarningThreshold

          public static int getDefaultMemoryWarningThreshold()

      Percentage of available memory which will trigger a warning log

    - #### getDefaultMemoryMeasureInterval

          public static long getDefaultMemoryMeasureInterval()

      frequency to sample JVM memory in ms (or -1 to disable memory sampling)

    - #### getDefaultLargeMessagesDir

          public static String getDefaultLargeMessagesDir()

      the directory to store large messages

    - #### getDefaultBroadcastPeriod

          public static long getDefaultBroadcastPeriod()

      period in milliseconds between consecutive broadcasts

    - #### getDefaultBroadcastRefreshTimeout

          public static int getDefaultBroadcastRefreshTimeout()

      Period the discovery group waits after receiving the last broadcast from a particular server before removing that servers connector pair entry from its list.

    - #### getDefaultConnectionTtl

          public static long getDefaultConnectionTtl()

      how long to keep a connection alive in the absence of any data arriving from the client. This should be greater than the ping period.

    - #### getDefaultRetryIntervalMultiplier

          public static double getDefaultRetryIntervalMultiplier()

      multiplier to apply to successive retry intervals

    - #### getDefaultMaxRetryInterval

          public static long getDefaultMaxRetryInterval()

      Limit to the retry-interval growth (due to retry-interval-multiplier)

    - #### getDefaultBridgeInitialConnectAttempts

          public static int getDefaultBridgeInitialConnectAttempts()

      maximum number of initial connection attempts, -1 means 'no limits'

    - #### getDefaultBridgeReconnectAttempts

          public static int getDefaultBridgeReconnectAttempts()

      maximum number of retry attempts, -1 means 'no limits'

    - #### isDefaultBridgeDuplicateDetection

          public static boolean isDefaultBridgeDuplicateDetection()

      should duplicate detection headers be inserted in forwarded messages?

    - #### getDefaultBridgeConfirmationWindowSize

          public static int getDefaultBridgeConfirmationWindowSize()

      Once the bridge has received this many bytes, it sends a confirmation

    - #### getDefaultBridgeProducerWindowSize

          public static int getDefaultBridgeProducerWindowSize()

      Producer flow control

    - #### getDefaultBridgeConnectSameNode

          public static int getDefaultBridgeConnectSameNode()

      Upon reconnection this configures the number of time the same node on the topology will be retried before reseting the server locator and using the initial connectors

    - #### getDefaultClusterFailureCheckPeriod

          public static long getDefaultClusterFailureCheckPeriod()

      The period (in milliseconds) used to check if the cluster connection has failed to receive pings from another server

    - #### getDefaultClusterConnectionTtl

          public static long getDefaultClusterConnectionTtl()

      how long to keep a connection alive in the absence of any data arriving from the client

    - #### getDefaultClusterCallTimeout

          public static long getDefaultClusterCallTimeout()

      How long to wait for a reply

    - #### getDefaultClusterRetryInterval

          public static long getDefaultClusterRetryInterval()

      period (in ms) between successive retries

    - #### getDefaultClusterRetryIntervalMultiplier

          public static double getDefaultClusterRetryIntervalMultiplier()

      multiplier to apply to the retry-interval

    - #### getDefaultClusterMaxRetryInterval

          public static long getDefaultClusterMaxRetryInterval()

      Maximum value for retry-interval

    - #### getDefaultClusterInitialConnectAttempts

          public static int getDefaultClusterInitialConnectAttempts()

      How many attempts should be made to connect initially

    - #### getDefaultClusterReconnectAttempts

          public static int getDefaultClusterReconnectAttempts()

      How many attempts should be made to reconnect after failure

    - #### isDefaultClusterDuplicateDetection

          public static boolean isDefaultClusterDuplicateDetection()

      should duplicate detection headers be inserted in forwarded messages?

    - #### isDefaultClusterForwardWhenNoConsumers

          public static boolean isDefaultClusterForwardWhenNoConsumers()

    - #### getDefaultClusterMessageLoadBalancingType

          public static String getDefaultClusterMessageLoadBalancingType()

      should messages be load balanced if there are no matching consumers on target?

    - #### getDefaultClusterMaxHops

          public static int getDefaultClusterMaxHops()

      maximum number of hops cluster topology is propagated

    - #### getDefaultClusterConfirmationWindowSize

          public static int getDefaultClusterConfirmationWindowSize()

      The size (in bytes) of the window used for confirming data from the server connected to.

    - #### getDefaultClusterCallFailoverTimeout

          public static long getDefaultClusterCallFailoverTimeout()

      How long to wait for a reply if in the middle of a fail-over. -1 means wait forever.

    - #### getDefaultClusterNotificationInterval

          public static long getDefaultClusterNotificationInterval()

      how often the cluster connection will notify the cluster of its existence right after joining the cluster

    - #### getDefaultClusterNotificationAttempts

          public static int getDefaultClusterNotificationAttempts()

      how many times this cluster connection will notify the cluster of its existence right after joining the cluster

    - #### isDefaultDivertExclusive

          public static boolean isDefaultDivertExclusive()

      whether this is an exclusive divert

    - #### getDefaultDivertRoutingType

          public static String getDefaultDivertRoutingType()

      how the divert should handle the message's routing type

    - #### getDefaultBridgeRoutingType

          public static String getDefaultBridgeRoutingType()

      how the bridge should handle the message's routing type

    - #### isDefaultHapolicyRequestBackup

          public static boolean isDefaultHapolicyRequestBackup()

      If true then the server will request a backup on another node

    - #### getDefaultHapolicyBackupRequestRetries

          public static int getDefaultHapolicyBackupRequestRetries()

      How many times the live server will try to request a backup, -1 means for ever.

    - #### getDefaultHapolicyBackupRequestRetryInterval

          public static long getDefaultHapolicyBackupRequestRetryInterval()

      How long to wait for retries between attempts to request a backup server.

    - #### getDefaultHapolicyMaxBackups

          public static int getDefaultHapolicyMaxBackups()

      Whether or not this live server will accept backup requests from other live servers.

    - #### getDefaultHapolicyBackupPortOffset

          public static int getDefaultHapolicyBackupPortOffset()

      The offset to use for the Connectors and Acceptors when creating a new backup server.

    - #### isDefaultCheckForLiveServer

          public static boolean isDefaultCheckForLiveServer()

      Whether to check the cluster for a (live) server using our own server ID when starting up. This option is only necessary for performing 'fail-back' on replicating servers. Strictly speaking this setting only applies to live servers and not to backups.

    - #### getDefaultMaxSavedReplicatedJournalsSize

          public static int getDefaultMaxSavedReplicatedJournalsSize()

      This specifies how many times a replicated backup server can restart after moving its files on start. Once there are this number of backup journal files the server will stop permanently after if fails back.

    - #### isDefaultRestartBackup

          public static boolean isDefaultRestartBackup()

      Will this server, if a backup, restart once it has been stopped because of failback or scaling down.

    - #### isDefaultAllowAutoFailback

          public static boolean isDefaultAllowAutoFailback()

      Whether a server will automatically stop when another places a request to take over its place. The use case is when a regular server stops and its backup takes over its duties, later the main server restarts and requests the server (the former backup) to stop operating.

    - #### getDefaultInitialReplicationSyncTimeout

          public static long getDefaultInitialReplicationSyncTimeout()

      if we have to start as a replicated server this is the delay to wait before fail-back occurs

    - #### getDefaultFailbackDelay

          @Deprecated
          public static long getDefaultFailbackDelay()

      Deprecated. use getDefaultInitialReplicationSyncTimeout()
      if we have to start as a replicated server this is the delay to wait before fail-back occurs

    - #### isDefaultFailoverOnServerShutdown

          public static boolean isDefaultFailoverOnServerShutdown()

      Will this backup server come live on a normal server shutdown

    - #### isDefaultWaitForActivation

          public static boolean isDefaultWaitForActivation()

      Will a shared-store master startup wait for activation

    - #### isDefaultPopulateValidatedUser

          public static boolean isDefaultPopulateValidatedUser()

      Will the broker populate the message with the name of the validated user

    - #### isDefaultRejectEmptyValidatedUser

          public static boolean isDefaultRejectEmptyValidatedUser()

    - #### isDefaultScaleDownEnabled

          public static boolean isDefaultScaleDownEnabled()

      its possible that you only want a server to partake in scale down as a receiver, via a group. In this case set scale-down to false

    - #### getDefaultGroupingHandlerTimeout

          public static int getDefaultGroupingHandlerTimeout()

      How long to wait for a decision

    - #### getDefaultGroupingHandlerGroupTimeout

          public static int getDefaultGroupingHandlerGroupTimeout()

      How long a group binding will be used, -1 means for ever. Bindings are removed after this wait elapses. On the remote node this is used to determine how often you should re-query the main coordinator in order to update the last time used accordingly.

    - #### getDefaultGroupingHandlerReaperPeriod

          public static long getDefaultGroupingHandlerReaperPeriod()

      How often the reaper will be run to check for timed out group bindings. Only valid for LOCAL handlers

    - #### getDefaultStoreType

          public static String getDefaultStoreType()

      The default storage type. Options are FILE and DATABASE.

    - #### getDefaultDatabaseUrl

          public static String getDefaultDatabaseUrl()

      The default database URL, used with DATABASE store type.

    - #### getDefaultMessageTableName

          public static String getDefaultMessageTableName()

      The default Message Journal table name, used with DATABASE store.

    - #### getDefaultBindingsTableName

          public static String getDefaultBindingsTableName()

    - #### getDefaultDriverClassName

          public static String getDefaultDriverClassName()

    - #### getDefaultDataSourceClassName

          public static String getDefaultDataSourceClassName()

    - #### getDefaultLargeMessagesTableName

          public static String getDefaultLargeMessagesTableName()

    - #### getDefaultPageStoreTableName

          public static String getDefaultPageStoreTableName()

    - #### getDefaultNodeManagerStoreTableName

          public static String getDefaultNodeManagerStoreTableName()

    - #### getDefaultJdbcNetworkTimeout

          public static int getDefaultJdbcNetworkTimeout()

    - #### getDefaultJdbcLockRenewPeriodMillis

          public static long getDefaultJdbcLockRenewPeriodMillis()

    - #### getDefaultJdbcJournalSyncPeriodMillis

          public static long getDefaultJdbcJournalSyncPeriodMillis()

    - #### getDefaultJdbcLockExpirationMillis

          public static long getDefaultJdbcLockExpirationMillis()

    - #### getDefaultJdbcLockAcquisitionTimeoutMillis

          public static long getDefaultJdbcLockAcquisitionTimeoutMillis()

    - #### getDefaultConnectionTtlCheckInterval

          public static long getDefaultConnectionTtlCheckInterval()

    - #### getDefaultConfigurationFileRefreshPeriod

          public static long getDefaultConfigurationFileRefreshPeriod()

    - #### getDefaultAmqpUseCoreSubscriptionNaming

          public static boolean getDefaultAmqpUseCoreSubscriptionNaming()

    - #### getDefaultMaxGlobalSize

          public static long getDefaultMaxGlobalSize()

      The default global max size. -1 = no global max size.

    - #### getDefaultMaxDiskUsage

          public static int getDefaultMaxDiskUsage()

    - #### getDefaultDiskScanPeriod

          public static int getDefaultDiskScanPeriod()

    - #### getDefaultMaxQueueConsumers

          public static int getDefaultMaxQueueConsumers()

    - #### getDefaultConsumerPriority

          public static int getDefaultConsumerPriority()

    - #### getDefaultExclusive

          public static boolean getDefaultExclusive()

    - #### getDefaultLastValue

          public static boolean getDefaultLastValue()

    - #### getDefaultLastValueKey

          public static SimpleString getDefaultLastValueKey()

    - #### getDefaultNonDestructive

          public static boolean getDefaultNonDestructive()

    - #### getDefaultPurgeOnNoConsumers

          public static boolean getDefaultPurgeOnNoConsumers()

    - #### getDefaultEnabled

          public static boolean getDefaultEnabled()

    - #### getDefaultQueueAutoDelete

          public static boolean getDefaultQueueAutoDelete(boolean autoCreated)

    - #### getDefaultQueueAutoDelete

          public static boolean getDefaultQueueAutoDelete()

    - #### getDefaultCreatedQueueAutoDelete

          public static boolean getDefaultCreatedQueueAutoDelete()

    - #### getDefaultQueueAutoDeleteDelay

          public static long getDefaultQueueAutoDeleteDelay()

    - #### getDefaultQueueAutoDeleteMessageCount

          public static long getDefaultQueueAutoDeleteMessageCount()

    - #### getDefaultRingSize

          public static long getDefaultRingSize()

    - #### getDefaultRetroactiveMessageCount

          public static long getDefaultRetroactiveMessageCount()

    - #### getDefaultConsumersBeforeDispatch

          public static int getDefaultConsumersBeforeDispatch()

    - #### getDefaultDelayBeforeDispatch

          public static long getDefaultDelayBeforeDispatch()

    - #### getDefaultGroupBuckets

          public static int getDefaultGroupBuckets()

    - #### getDefaultGroupRebalance

          public static boolean getDefaultGroupRebalance()

    - #### getDefaultGroupRebalancePauseDispatch

          public static boolean getDefaultGroupRebalancePauseDispatch()

    - #### getDefaultGroupFirstKey

          public static SimpleString getDefaultGroupFirstKey()

    - #### getInternalNamingPrefix

          public static String getInternalNamingPrefix()

    - #### getDefaultRoutingType

          public static RoutingType getDefaultRoutingType()

    - #### getDefaultSystemPropertyPrefix

          public static String getDefaultSystemPropertyPrefix()

    - #### getDefaultNetworkCheckList

          public static String getDefaultNetworkCheckList()

    - #### getDefaultNetworkCheckURLList

          public static String getDefaultNetworkCheckURLList()

    - #### getDefaultNetworkCheckPeriod

          public static long getDefaultNetworkCheckPeriod()

    - #### getDefaultNetworkCheckTimeout

          public static int getDefaultNetworkCheckTimeout()

    - #### getDefaultNetworkCheckNic

          public static String getDefaultNetworkCheckNic()

    - #### getDefaultVoteOnReplicationFailure

          public static boolean getDefaultVoteOnReplicationFailure()

    - #### getDefaultQuorumSize

          public static int getDefaultQuorumSize()

    - #### getCriticalAnalyzer

          public static boolean getCriticalAnalyzer()

    - #### getCriticalAnalyzerTimeout

          public static long getCriticalAnalyzerTimeout()

    - #### getCriticalAnalyzerCheckPeriod

          public static long getCriticalAnalyzerCheckPeriod(long timeout)

    - #### getCriticalAnalyzerPolicy

          public static org.apache.activemq.artemis.utils.critical.CriticalAnalyzerPolicy getCriticalAnalyzerPolicy()

    - #### getDefaultVoteRetries

          public static int getDefaultVoteRetries()

    - #### getDefaultVoteRetryWait

          public static long getDefaultVoteRetryWait()

    - #### getDefaultQuorumVoteWait

          public static int getDefaultQuorumVoteWait()

    - #### getDefaultRetryReplicationWait

          public static long getDefaultRetryReplicationWait()

    - #### getDefaultFederationFailureCheckPeriod

          public static long getDefaultFederationFailureCheckPeriod()

      The period (in milliseconds) used to check if the federation connection has failed to receive pings from another server

    - #### getDefaultFederationConnectionTtl

          public static long getDefaultFederationConnectionTtl()

      how long to keep a connection alive in the absence of any data arriving from the client

    - #### getDefaultFederationCallTimeout

          public static long getDefaultFederationCallTimeout()

      How long to wait for a reply

    - #### getDefaultFederationRetryInterval

          public static long getDefaultFederationRetryInterval()

      period (in ms) between successive retries

    - #### getDefaultFederationRetryIntervalMultiplier

          public static double getDefaultFederationRetryIntervalMultiplier()

      multiplier to apply to the retry-interval

    - #### getDefaultFederationMaxRetryInterval

          public static long getDefaultFederationMaxRetryInterval()

      Maximum value for retry-interval

    - #### getDefaultFederationInitialConnectAttempts

          public static int getDefaultFederationInitialConnectAttempts()

      How many attempts should be made to connect initially

    - #### getDefaultFederationReconnectAttempts

          public static int getDefaultFederationReconnectAttempts()

      How many attempts should be made to reconnect after failure

    - #### getDefaultFederationCallFailoverTimeout

          public static long getDefaultFederationCallFailoverTimeout()

      How long to wait for a reply if in the middle of a fail-over. -1 means wait forever.

    - #### getDefaultJvmMemoryMetrics

          public static boolean getDefaultJvmMemoryMetrics()

      Whether or not to report JVM memory metrics

    - #### getDefaultJvmGcMetrics

          public static boolean getDefaultJvmGcMetrics()

      Whether or not to report JVM GC metrics

    - #### getDefaultJvmThreadMetrics

          public static boolean getDefaultJvmThreadMetrics()

      Whether or not to report JVM thread metrics

    - #### getDefaultTemporaryQueueNamespace

          public static String getDefaultTemporaryQueueNamespace()

Copyright © 2020 The Apache Software Foundation. All rights reserved.